'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.navigate = undefined;

var _constants = require('./constants');

var navigate = exports.navigate = function navigate(route, params) {
  var method = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : _constants.PUSH;
  return {
    type: _constants.NAVIGATE,
    meta: { method: method },
    payload: { route: route, params: params }
  };
};